Copyright: RAMFIX 1.2
Citation: http:


RAMFIX
RAMFIX 1.2

© 1998-2001 by ADing (Alexandru Dimitriev ing.)

Thank you for evaluating the new RAMFIX trial version.

This product will:

* virtually eliminate cursor locks, out of memory alerts, constant re-boots, and other low memory problems.

* greatly increase % of RAM available (varies with your system)

* work on all RAM sizes (we have customers with Gigabytes of RAM)

RAMFIX increases your system performance on-demand or automatically by:

- Increasing the amount of RAM available

- Recovering memory leaks

- Defragmenting your physical RAM

 Options:

- Recover RAM automatically when Auto Recover Level is reached and increase RAM available to Target Free RAM

- Recover RAM automatically every MIN'S minutes

- Display Available RAM at all times

- Run Automatically at Windows Startup

- Start Minimized

- Shutdown and Restart Windows with a mouse click

New:

- Monitor the CPU usage to not interfere with other programs and improve the system stability

- [image] button lets you to find the appropriate settings for the computer.

The available RAM meter at the bottom stays on and is a good way to see how much RAM is used when you open a program (shocking at times!).

 button lets you free RAM without consider the CPU usage setting.

RAMFIX trial version works in the same way as the registered version, except it don't saves the settings parameters between sesion. Please use RAMFIX for 30 days to see if it will solves your memory problems.

Installation

About RAMFIX

RAMFIX FAQ

Updates

Contact author/Support

Software Licence/Copyright

Disclaimer

ADing Programs mailing list

Other ADing Programs

How to register


Installation

You can install RAMFIX simply by running setup.exe file, after you unzip RAMFIX.zip file.

The program can be, at any time, safely removed from your computer.

Use the Control Panel's "Install/Remove Programs" menu and select the "RAMFIX" entry.  This option removes the RAMFIX group and all shortcuts in it from the Start menu. Or you can use the "Uninstall" shortcut from the RAMFIX group.

NOTE:  The group and shortcuts created by this file can always be edited, copied, moved, or deleted "manually" using standard Windows procedures, but if you change the name or location of a shortcut or group, the "Uninstall" function will not be able to remove that shortcut or group.


About RAMFIX

Windows uses physical memory called RAM (Unfortunately RAM is a part of any computer) to run programs. What happens if you, or a running program, loads a program (or Data for the program) into memory for execution but, there is no available Memory?

Most Operating Systems move the data from RAM to a temporary file called a SWAP file and then program execution continues...

Here is the value of our program, RAMFIX... While you are doing non-memory required tasks, such as reading a text file or typing a text file, RAMFIX releases physical RAM into your swap file.  When you begin a task that requires memory, it is there and waiting, so you do not have to wait for windows to swap out to disk and then finish execution.  RAMFIX increases system performance almost every time memory is accessed.

In other words, RAMFIX forces your operating system to execute, what normally are Run Time Commands, before you need those actions executed.  So, program execution is faster because when you need free memory it is ready and waiting.


RAMFIX FAQ

Q01.	What is RAM?
Q02.	What is Page Swapping?
Q03.	What does RAMFIX do for you?
Q04.	How do "Target Free RAM", "Auto Recover Level" and "Auto recover Timer" work?
Q05.	What are the perfect settings for "Target Free RAM", "Auto Recover Level" and "Auto Recover Timer"?
Q06.	Are there any install/uninstall options for RAMFIX?
Q07.	How can I order RAMFIX?
Q08.	Do you notify (by e-mail) if and when you release a newer version? Is it free for registered users?
Q09.	I like RAMFIX but I'm already a registered user of another similar program.  What should I do?
Q10.	The program doesn't meet my expectations.  What should I do?
Q11.	We are shareware CDROM distributors (or magazine editors or...). I want to provide your program on CD-ROMs, Shareware-disks, in shops or through networks. What can we do?

Q01 What is RAM?

The most important accessory that can be added to a computer is memory in the form of RAM. You can never have too much memory! Random Access Memory’s main function is to store (cache) recently opened files that have been accessed by the user through opened programs and data files.

Let’s assume that you have a program opened and suddenly decided that you want to open another. The contents of what you were doing would be cached into memory, and the new program would also be stored into memory.

When the system runs low on memory, Windows will notify you with an error message: “System running low on memory. Please close down some files” or something similar. The reason why this message appears is because the amount of memory you have left for file caching is about to run out and your system will start page swapping to a temporary file on your hard drive.

Q02 What is Page Swapping?

Page swapping is the process of transferring cached files from RAM to the temporary swap file on the hard drive. A swap file, also known as virtual memory, is a designated area on the hard drive used to store temporary files from memory.

When your RAM is full and it needs more room, it transfers its oldest contents into the swap file on the hard drive thereby freeing up some room for new files to be cached to memory. However, once the file has been swapped and is needed once more, the reverse process occurs. This swapping between RAM and the hard drive is very time consuming! This will degrade Window’s performance.

Q03 What does RAMFIX do for you?

In Windows 95/98/NT you use physical RAM (unfortunately RAM is part of any computer) to run programs. What does Windows do when you want to load another program into memory (to run it) and RAM is already full? (Or you load data from disk, or generate data by program...). Windows pushed data from RAM to hard drive swap file and then loads the program.

Here is how RAMFIX helps you: it constantly releases physical RAM. When your computer wants to use memory, RAM is available and this increases the speed of computer every time programs use memory.

In other words: RAMFIX forces Windows to add RAM before you need it and when you really need free memory you already have it.

Improvement depends of amount of memory you have and applications you use. It works completely independent of other programs. .

Q04 How do "Target Free RAM", "Auto Recover Level" and "Auto Recover Timer" work?

You can set RAMFIX to perform these actions automatically. When "Auto Recover Level" (minimum amount of RAM you want to have free all time) is reached and/or "Auto recover Timer" time is passed and you get preset amount ("Target Free RAM") of physical memory free.

Settings that you set telling my program how to automatically invoke memory  swapping tasks.  "Auto Recover Level" is the minimum amount of RAM you want to  have free at all times, when this is reached or/and "Auto recover Timer"  (minute intervals to automatically free ram) is past, then you get "Target Free RAM" (Total MegaBytes of memory to free) physical memory free.

What is the perfect settings for "Target Free RAM", "Auto Recover Level" and  "Auto Recover Timer"? Nobody can tell you. It depends on your system configuration, Amount of Memory, and the applications you run. If you choose  too much amount of RAM to free, your swap file size grows and system  performance will degrade (because HDD performance is lower than RAM speed) . If you don't choose enough RAM to free, RAMFIX will NOT do everything it  can, and you probably will not notice much of a system performance increase.  Remember that all the parameters work together and try to optimize these settings for your system based on your own observation.

"Optimize" button try to find the best settings for your computer. But they are the best settings at a given time, depending of the program you are using. So if you consider that the system goes to slow press this button again.

Q05 What are the perfect settings for "Target Free RAM", "Auto Recover Level" and "Auto Recover Timer"?

Nobody can tell you. It depends on your system configuration and the applications you use. If you choose too much amount of RAM to free your swap file size grows and system performance will be degraded. If you choose too little, RAMFIX can't do everything it can was designed for.

"Optimize" button suggest the best settings but you must try to optimize the settings for your system based on your observation. Remember that all these parameters work together

Q06 Tell me how to install RAMFIX?

TO INSTALL: run setup.exe file, after you unzip RAMFIX.zip file.

TO UNINSTALL: Use the Control Panel's "Install/Remove Programs" menu and select the "RAMFIX" entry. This option removes the RAMFIX group and all shortcuts in it from the Start menu as well as "RAMFIX" desktop shortcut.  Or you can use the "Uninstall" shortcut from the RAMFIX group.

NOTE: The group and shortcuts created by this file can always be edited, copied, moved, or deleted "manually" using standard Windows procedures, but if you change the name or location of a shortcut or group, the "Uninstall" function will not be able to remove that shortcut or group.

Q07 How I can order RAMFIX?

The registered version costs only $9,95 and it does a excellent job for such a low cost.

You can register by:

1. Register online (press the link below) at (a secure server):

http://www.ramfix.com

*Technical note*

If you get an error page when you click links in this help file, please try copying the entire link and then pasting it into your browser's URL field. There are a variety of browser clients in use and because each client handles links differently, broken links sometimes occur.

2. By phone or fax

If you would like to place an order over phone, you can call Qwerks at 1.888.282.5887 Monday through Friday, from 9:00 A.M. to 6:00 P.M. MST. You can also fax your order at 1.801.497.9456.

3. Send a check

To:

Qwerks.com, Inc.

1648 West Willow Dr

Kaysville, Ut 84037

It is VERY important that the bank papers reflect your identity:

1.	your email address;

2.	your name and/or company name;

3.	your address

To be sure, please also send me an e-mail informing me about your transaction at: webmaster@ramfix.com

Please don't forget to add the following amount to your registration fee:

$0.00 if you register online

$4.00 if you send us a check

$4.00 if you need the software on a floppy disk by regular mail

None of these additional fees are for as - they are just to cover our bank or post office expenses. Please understand that we can't send you a registered version if you don't add these few bucks.

You can contact Qwerks by e-mail at sales@Qwerks.com.

Please remember that Qwerks does not offer technical support for any products, you must write me again.

If you have any suggestion or you want simply to say Hello! email me at sales@ramfix.com

Q08 Do you notify (by e-mail) when you release a newer version? Is it free for registered users?

Yes to both questions. The UPGRADE will be FREE to all registered users for minor version (until v2.0). If you Reply to my notifying e-mail, you'll get the new version by e-mail.

You can also join our RAMFIX Program mailing list. Just send a message to:

join@ramfix.com

We'll send you (once or twice a month) a message with information about new releases of the program. Your e-mail address will only be used for this purpose.

Q09 I like RAMFIX but I'm already a registered user of another similar program. What should I do?

You can tell a friend about it. Give him our url's, our email address and let them view both programs.

Q10 The program doesn't quite meet my expectation. What should I do?

We are always interested solving customer problems. Please send us an e-mail describing your dissatisfaction and perhaps, very soon, RAMFIX will be a more useful program.

Q11 We are shareware CDROM distributors (or magazine editors or...). I want to provide your program on CD-ROMs, Shareware-disks, in shops or through networks. You this agreeable to you?

Yes, as long as no money (for the program itself) is taken, each file of the original ZIP-file is included, you show or include a link to our website and you informed me about it. If possible, please send me a reference CDROM and/or a copy of the article.


How to register

The registered version costs only $9,95 and it does a excellent job for such a low cost.

You can register by:

1. Register online (press the link below) at (a secure server):

http://www.ramfix.com

*Technical note*

If you get an error page when you click links in this help file, please try copying the entire link and then pasting it into your browser's URL field. There are a variety of browser clients in use and because each client handles links differently, broken links sometimes occur.

2. By phone or fax

If you would like to place an order over phone, you can call Qwerks at 1.888.282.5887 Monday through Friday, from 9:00 A.M. to 6:00 P.M. MST. You can also fax your order at 1.801.497.9456.

3. Send a check

To:

Qwerks.com, Inc.

1648 West Willow Dr

Kaysville, Ut 84037

It is VERY important that the bank papers reflect your identity:

1.	your email address;

2.	your name and/or company name;

3.	your address

To be sure, please also send me an e-mail informing me about your transaction at: webmaster@ramfix.com

Please don't forget to add the following amount to your registration fee:

$0.00 if you register online

$4.00 if you send us a check

$4.00 if you need the software on a floppy disk by regular mail

None of these additional fees are for as - they are just to cover our bank or post office expenses. Please understand that we can't send you a registered version if you don't add these few bucks.

You can contact Qwerks by e-mail at sales@Qwerks.com.

Please remember that Qwerks does not offer technical support for any products, you must write me again.

If you have any suggestion or you want simply to say Hello! email me at sales@ramfix.com

Registered version (personal licence)

The registered version may be installed on as many computers as desired, as long as it is ONLY running on one at any one time (i.e. one installation at home and one at the office used by the same person). The usage by multiple people at the same time (on multiple computers) requires additional licences.

Multiple licences (additional licences)

Multiple licences allow an institution, company or school to install the program on multiple computers or on a server. It must be guaranteed that the program does not run on more machines at the same time than number of licenses purchased . All licences are issued to the same (company) name. For additional licences cost please contact the author.


Updates

The UPGRADE will be FREE to all registered users for minor versions (until 2.0). If you answer to my notification e-mail you will get the new version by e-mail.


Contact/Support
Contact author/Support

Please first read my www pages on the Internet for the latest information:

http://www.ramfix.com

If you're on the Internet, write to info@ramfix.com for technical questions, bug reports and/or registration questions and you will receive any information you desire.

*Technical note*

If you get an error page when you click links in this help file, please try copying the entire link and then pasting it into your browser's URL field. There are a variety of browser clients in use and because each client handles links differently, broken links sometimes occur.


Licence/Copyright
Software Licence/Copyright

Please carefully read the following lines before using this software. If you disagree with any of the following, you are not allowed to use this program.and you MUST then delete it immediately.

All rights reserved, especially copying of the registered version, translation to foreign language and the decompilation. You may not reverse engineer, decompile or disassemble the software. The author shall retain title and all ownership rights to the software.

This software is protected by copyright laws and international copyright treaties, as well as other intellectual property laws and treaties.

This program is Shareware, please register to allow further development of the program. As soon as you are registered, (until further notice) all minor updates are free.

You have the right to test this program for a period of one month (30 days). You are allowed to copy this Shareware-version (and ONLY the Shareware version) and give it to any other person, as long as it is not modified in any way. Modifications means any  kind of change, add or remove any files of this package without the author written permission. You are NOT allowed to pack this program together with a commercial program or a book. You are encouraged to put this program on as many BBS systems as possible. The distribution on CD-ROM is also permitted, as long as the original files are not changed in any way. Please contact me if you want to distribute the program with a different installation program, with changed files etc.

If you don't respect these rules it is a violation of international Copyright law! It is also unfair to the author, who has spent many hours developing this program.


Disclaimer

We try to keep our software as bug-free as possible. But it's a general rule that no software ever is error free and the number of errors increases with the complexity of the program. That's why we cannot guarantee that this software will run in every environment, on any Windows compatible machine, together with any other application, without producing errors. Any liability for damage of any sort is hereby denied. In any case, the liability is limited to the registration fee.

Please test this program with non-critical data. Should you detect errors before registration, you accept them if you register.

Any description of bugs will be accepted, but we cannot guarantee that we will be able to correct them.


Error

If you get an error page when you click links in this help file, please try copying the entire link and then pasting it into your browser's URL field. There are a variety of browser clients in use  and because each client handles links differently, broken links sometimes occur.


ADing Programs mailing list
How to subscribe to ADing Programs mailing list

Join our RAMFIX Program mailing list! Just send a message to:

join@ramfix.com

We'll send you (once or twice a month) a message with information about new releases of the program. Your e-mail address will only be used for this purpose.


Other ADing Programs

Visit

http://ading.hypermart.net

for:

ADing SplitImg - Splits an image in multiple pieces

ADing BAR - Displays vital information about your system and more for FREE

ADing ParkFont - A "must have" if you use many fonts

ADing FontManager - A Perfect Font Manager

ADing FreeRAM3x - Windows 3.x version

ADing Desk - Easy access to desktop!

ADing Display Saver - Revives normal screen saver during PowerPoint screen shows (it may work for other apps too).


ADing BAR

Stays on top in your screen and displays a lot of vital information about your system:

* date and time

* system resources

* free space on your disks

With a mouse click you can:

* run programs

* set an alarm

* view calendar

* exit Windows

And all these for FREE!!!

"A number one utility" - http://www.CompletelyFreeSoftware.com


ADing SplitImg

Loads an image (with different format file) and split them in multiple pieces. If you chose to save pieces in JPEG format, an HTML file is automatic building helping you to reassemble it. You can preview the result with your favorite browser. Pieces of image are placed in separate subdirectory.


ADing Display Saver

ADing Display Saver revives normal screen saver during PowerPoint screen shows (it may work for other apps too). This hidden utility allows most screensavers to work as expected while Powerpoint is running in full-screen mode. This is helpful for kiosk developers who want to leave their "presentations" running 24-hours per day while preventing screen burn-in (especially over-night).


ADing Desk

 ADing Desk gives to you easy and instant access to desktop.

 Don't minimize windows ANYMORE! With a click of mouse  you can start any program you want!


ADing ParkFont

If you don't remember how many fonts you have installed on

your computer or how  they look you must try this program !

ADing ParkFont increases your system performance letting

you monitor both font resources (Registry and GDI) and set

alarms for when the resources drop too low.

The program will allow you to park unused fonts (and unpark

it with a click).

This way you can keep font resources under certain limits.

In fact, the program is a true fonts manager for your computer

because you can place parked fonts in as many categories as

you want.

You'll see a sample for both categories (installed and parked)

and you can easy find what font you are searching for. Also you

can install a new font at any time.


ADing FontManager

-Lists all font files in a directory

-Displays a sample of each font

-Saves sample fonts as a JPEG or GIF grouped in directories

-Creates a HTML file for easy browsing of previously saved samples.

-Views a character map, selects individual character by key code

 (right-click on file name).

-Saves character map in an HTML file

-Saves and deletes font files

-Lists all installed fonts

-Installs any font of your choice

-Easily uninstalls unused fonts

-Finds all fonts on a specific disc

-Finds duplicates font files on the disk

-Tests any font you find

-Pop-up menu accessing commands

-Lists all font files on a ZIP archive

-Views font in ZIP archive

-Copies font files to ZIP archive

-Deletes font files from ZIP archive

-Views a character map for ZIP archived font files

-Previews saved HTML files

-Displays properties of fonts

-Organizes fonts by Copy/Move operations

-Displays fonts properties

-and much more...


ADing FreeRAM3x
ADing FreeRAM3x (for Windows 3.x)

Increases your system performance on-demand or automatically by:

* Increasing the amount of RAM available

* Recovering memory leaks

* Defragmenting your physical RAM

Options:

* Recover RAM automatically when Auto Recover Level is reached

and increase RAM available to Target Free RAM

* Recover RAM automatically every MIN'S minutes

* Display Available RAM every moments in KB and in percentes

* Run Automatically at Windows Startup

* Always on top

* Start Minimized


Error

If you get an error page when you click links in this help file, please try copying the entire link and then pasting it into your browser's URL field. There are a variety of browser clients in use  and because each client handles links differently, broken links sometimes occur.